﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

    <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
		    IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
   			    RETURN VALIDATION MESSAGE
		    ENDIF 
        -->
        <assert id="VR.ATO.GEN.428256" diagnostics="DVR.ATO.GEN.428256"
                test="not(
                       matches(.,'^(.*)UNKNOWN(.*)$','i')
                     )"/>
        <!--
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT ","ACT","TAS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230"
                test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"/>

        <!--
            IF LENGTH(pyde.xx.xx:AddressDetails.LocalityName.Text) > 60
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.STIC.000026" diagnostics="DVR.ATO.STIC.000026"
               test="not(
                        string-length(normalize-space(.)) &gt; 60
                     )"/>

    </rule>

    <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--
            IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410194" diagnostics="DVR.ATO.GEN.410194"
                test="not(
                        string-length(normalize-space(.)) &gt; 38
                     )"/>

        <!-- 
            IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
            RETURN VALIDATION MESSAGE
            ENDIF     
        -->
        <assert id="VR.ATO.GEN.428254" diagnostics="DVR.ATO.GEN.428254"
                test="not(
                         matches(.,'^(.*)UNKNOWN(.*)$','i')
                     )"/>

        <!--
            Rule ID: VR.ATO.GEN.428240 Deleted due to PBI000000062329
            Rule ID: VR.ATO.GEN.000406 Added to replace VR.ATO.GEN.428240
			
			      IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Line1.Text STARTSWITH SET("C/O ","C/ ","Care Of ","CO ")) 
            OR (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS SET(" C/O "," C/ "," Care Of "))
                RETURN VALIDATION MESSAGE
            ENDIF   
        -->
        <assert id="VR.ATO.GEN.000406" diagnostics="DVR.ATO.GEN.000406"
                test="not(
                        matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                        matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or
                        matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                        matches(.,'^(C/O|C/|Care Of|CO)$','i')
                 )" />
      
        <!-- 
            IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
               RETURN VALIDATION MESSAGE
            ENDIF   
        -->
        <assert id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205"
                test="not(contains(upper-case(.), 'AS ABOVE'))
                   "/>

    </rule>

    <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]">

        <!-- 
            IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410195" diagnostics="DVR.ATO.GEN.410195"
                test="not(
                        string-length(normalize-space(.)) &gt; 38
                     )"/>

        <!-- 
            IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
                RETURN VALIDATION MESSAGE
            ENDIF    
         -->
        <assert id="VR.ATO.GEN.428255" diagnostics="DVR.ATO.GEN.428255"
                test="not(
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                     )"/>

        <!--
            Rule ID: VR.ATO.GEN.428241 Deleted due to PBI000000062329
            Rule ID: VR.ATO.GEN.000408 Added to replace VR.ATO.GEN.428241
			
            IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND 
               (pyde.xx.xx:AddressDetails.Line2.Text STARTSWITH SET("C/- ","C/O ","C/ ","Care Of ","CO ") OR 
                pyde.xx.xx:AddressDetails.Line2.Text CONTAINS SET(" C/- "," C/O "," C/ "," Care Of "))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000408" diagnostics="DVR.ATO.GEN.000408"
                 test="not(matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                           matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or
                           matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                           matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')
                     )" />

    </rule>

    <rule context="emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date[not(@i:nil='true' or @i:nil='1')]">

        <!--
            Original Technical Business Rule:
              FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN}(Instant))
              IF [STIC22] <> NULL AND
              [STIC22] > DATE(TODAY)
                  RETURN VALIDATION MESSAGE
              ENDIF
            
              [STIC22] = emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date
            
            Updated Technical Business Rule for CR3386:
              FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
              IF [STIC22] <> NULL AND
              [STIC22] > DATE(TODAY)
                RETURN VALIDATION MESSAGE
              ENDIF
              
              [STIC22] = emsup.02.20:SuperannuationFundDetails.MemberAccountStatus.Date
        -->
        <assert id="VR.ATO.STIC.000025" diagnostics="DVR.ATO.STIC.000025"
                test="not(
                        @contextRef = $SFMABN.ContextId
                        and 
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>
    </rule>


</pattern>